2018-12-13 07:02 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005196Talerdeployment and operationspublic2018-12-07 20:05
ReporterMarcello Stanisci 
Assigned ToMarcello Stanisci 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005196: Authentication method for Buildbot Web interface
DescriptionAnyone on the internet can trigger force builds now !

So eventually we might want to set up some authentication method for Buildbot users. 'Open ID connect' is a suitable candidate.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0012640

Christian Grothoff (manager)

For the GNUnet buildbot, we simply had a username/password combo that was well-known within the team. Why not just do that? OpenID seems like it would overcomplicate the issue.

~0012643

Marcello Stanisci (manager)

I agree, but I'm adding Florian as he suggested to use Open ID.

~0012645

Florian Dold (manager)

I'm perfectly fine with using a well-known password for now, OpenID Connect is overkill for now.

~0013381

Marcello Stanisci (manager)

Feature added as of d1f890acedbe2d86182cef (including 'onboarding' info).

~0013382

Marcello Stanisci (manager)

not closed, only authentication of users is done but NOT restriction of 'force builds'..

~0013384

Marcello Stanisci (manager)

Implementing force-builds/cancellations based on the user being authenticated, as of commit 005180693348748195dba665d4060e26a39d4f90.
+Notes

-Issue History
Date Modified Username Field Change
2017-12-08 12:34 Marcello Stanisci New Issue
2017-12-09 11:09 Christian Grothoff Assigned To => Marcello Stanisci
2017-12-09 11:09 Christian Grothoff Severity minor => tweak
2017-12-09 11:09 Christian Grothoff Status new => assigned
2017-12-09 11:09 Christian Grothoff Product Version => SVN HEAD
2017-12-09 11:09 Christian Grothoff Note Added: 0012640
2017-12-09 11:14 Marcello Stanisci Note Added: 0012643
2017-12-09 15:08 Florian Dold Note Added: 0012645
2018-11-18 00:50 Christian Grothoff Target Version => 0.8
2018-12-03 18:53 Marcello Stanisci Note Added: 0013381
2018-12-03 18:53 Marcello Stanisci Status assigned => resolved
2018-12-03 18:53 Marcello Stanisci Resolution open => fixed
2018-12-03 19:20 Marcello Stanisci Status resolved => new
2018-12-03 19:20 Marcello Stanisci Resolution fixed => reopened
2018-12-03 19:20 Marcello Stanisci Note Added: 0013382
2018-12-03 19:20 Marcello Stanisci Status new => confirmed
2018-12-03 19:21 Marcello Stanisci Status confirmed => assigned
2018-12-04 15:56 Marcello Stanisci Note Added: 0013384
2018-12-04 15:57 Marcello Stanisci Status assigned => resolved
2018-12-04 15:57 Marcello Stanisci Resolution reopened => fixed
2018-12-07 20:05 Christian Grothoff Fixed in Version => 0.6
2018-12-07 20:05 Christian Grothoff Target Version 0.8 => 0.6
+Issue History